Bug 610342 - [kvm] segmentation fault when running qemu-img check on faulty image
[kvm] segmentation fault when running qemu-img check on faulty image
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.5.z
All Linux
high Severity high
: rc
: ---
Assigned To: Virtualization Maintenance
Virtualization Bugs
: ZStream
Depends On: 606434
Blocks: 556823
  Show dependency treegraph
 
Reported: 2010-07-02 02:24 EDT by RHEL Product and Program Management
Modified: 2013-01-09 17:48 EST (History)
15 users (show)

See Also:
Fixed In Version: kvm-83-164.el5_5.19
Doc Type: Bug Fix
Doc Text:
Running a "qemu-img" check on a faulty virtual machine image ended with a segmentation fault. With this update, the segmentation fault no longer occurs when running the "qemu-img" check.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 17:32:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0627 normal SHIPPED_LIVE Important: kvm security and bug fix update 2010-08-19 17:31:45 EDT

  None (edit)
Description RHEL Product and Program Management 2010-07-02 02:24:44 EDT
This bug has been copied from bug #606434 and has been proposed
to be backported to 5.5 z-stream (EUS).
Comment 7 Miya Chen 2010-08-02 04:57:41 EDT
Reproduced this problem in kvm-83-164.el5_5.12 with the faulty image provided in bug #606434:
# qemu-img check 16g
ERROR: invalid cluster offset=0x1100010000000000
Segmentation fault

Tested in kvm-83-164.el5_5.20:
# qemu-img check 16g
ERROR refcount block 8191 is outside image
Leaked cluster 16380 refcount=1 reference=0
Leaked cluster 16381 refcount=1 reference=0
Leaked cluster 16382 refcount=1 reference=0
Leaked cluster 16383 refcount=1 reference=0
Leaked cluster 16384 refcount=1 reference=0
Leaked cluster 16385 refcount=1 reference=0
Leaked cluster 16386 refcount=1 reference=0
Leaked cluster 16387 refcount=1 reference=0
Leaked cluster 180222 refcount=1 reference=0
Leaked cluster 180223 refcount=1 reference=0
Leaked cluster 180224 refcount=1 reference=0
Leaked cluster 180225 refcount=1 reference=0
Leaked cluster 180226 refcount=1 reference=0
Leaked cluster 180227 refcount=1 reference=0
Leaked cluster 180228 refcount=1 reference=0
Leaked cluster 180229 refcount=1 reference=0
Leaked cluster 245754 refcount=1 reference=0
Leaked cluster 245755 refcount=1 reference=0
Leaked cluster 245756 refcount=1 reference=0
Leaked cluster 245757 refcount=1 reference=0
Leaked cluster 245758 refcount=1 reference=0
Leaked cluster 245759 refcount=1 reference=0

1 errors were found on the image.
Data may be corrupted, or further writes to the image may corrupt it.

22 leaked clusters were found on the image.
This means waste of disk space, but no harm to data.

Above all, this bug has been fixed.
Comment 9 Martin Prpič 2010-08-17 07:20:42 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Running a "qemu-img" check on a faulty virtual machine image ended with a segmentation fault. With this update, the segmentation fault no longer occurs when running the "qemu-img" check.
Comment 10 errata-xmlrpc 2010-08-19 17:32:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0627.html

Note You need to log in before you can comment on or make changes to this bug.